import type { Configuration } from 'webpack/types'
import path from 'path'
import dotenv from 'dotenv'
// import tyep { ProcessEnv } from 'process'
const { merge } = require('webpack-merge')
export let createConfig = (config1: Configuration, config2: Configuration) => {
    const NODE_ENV = process.env || 'development'
    initEnv(NODE_ENV)
    return merge(config1, config2)
}
function initEnv(node_env: any) {
    const env = node_env === 'development' ? 'dev' : 'prod'
    dotenv.config({ path: path.resolve(process.cwd() + `/config/.env.${env}`) })
}