import Vue from 'vue'

import ElementUI from 'element-ui'
import 'element-ui/lib/theme-chalk/index.css';
import Avue from '@smallwei/avue';
import '@smallwei/avue/lib/index.css';

//引入重置样式
import '@/assets/css/reset.css'
import '@/assets/css/property.css'
import '@/assets/css/normalize.css'
import '@/assets/styles/index.scss' // global css
import './style'

//引入iconfont
import './assets/iconfont/iconfont.js'
import './assets/iconfont/iconfont.css'

import router from './router'
import App from './views/App/index.vue'
import store from './store/index'



Vue.use(ElementUI);
Vue.use(Avue,{
  size:'mini'
});


new Vue({ // eslint-disable-line
  el: '#root',
  router,
  store,
  render: (h) => h(App)
})
