import { createConfig } from "../../../config/setConfig";
const baseConfig = require("../../../config/base");
import path from "path";
import type { Configuration, WebpackOptionsNormalized } from "webpack/types";
let devConfig = (env: any, arg: any) => {
  const { development } = env;
  process.env.NODE_ENV = development ? "development" : "production";
  return createConfig(baseConfig, {
    mode: "development",
    entry: path.join(__dirname, "../index.ts"),
    resolve: {
      alias: {
        "@": path.resolve(__dirname, "../"),
      },
      extensions: [".tsx", ".ts", ".js", ".vue", ".css", ".scss"],
    },
    devtool: "source-map",
    devServer: {
      port: 9090,
      open: true,
      proxy: {
        "/project-server": {
          target: "http://192.168.1.4:8888/",
          // target: "http://192.168.1.4:8284/", //线上
          // target: "http://192.168.101.13:8284/", //蒋涛
          // target: "http://192.168.101.44:8088/", //米涛
          changOrigin: true,
          // pathRewrite: { "^/api": "" },
        },
      },
    },
  } as Configuration & { devServer: WebpackOptionsNormalized["devServer"] });
};

module.exports = devConfig;
