import { createConfig } from '../../../config/setConfig'
const MiniCssExtractPlugin = require('mini-css-extract-plugin')
const baseConfig = require('../../../config/base')
import path from 'path'
module.exports = createConfig(baseConfig, {
  mode: 'production',
  entry: path.join(__dirname, '../index.ts'),
  resolve: {
    alias: {
      '@': path.resolve(__dirname, '../'),
    },
    extensions: ['.tsx', '.ts', '.js', '.vue', '.css', '.scss']
  },
  module: {
    rules: [{
      test: /\.css$/i,
      use: [MiniCssExtractPlugin.loader, 'css-loader']
    }]
  },
  plugins: [
    new MiniCssExtractPlugin({
      filename: 'css/[name].css'
    })
  ]
})